This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 715903 - FTBFS camE-1.9-15
FTBFS camE-1.9-15
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: camE (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
 
Reported: 2011-06-23 11:34 EDT by FTBFS
Modified: 2012-03-16 17:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: camE-1.9-18.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-16 17:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (74.86 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details
build.log (3.87 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details
mock.log (1.16 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details
root.log (136.46 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details
build.log (3.75 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details
mock.log (1.25 KB, text/plain)
2011-06-23 11:34 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2011-06-23 11:34:06 EDT
camE-1.9-15.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 11:34:09 EDT
Created attachment 507772 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 11:34:10 EDT
Created attachment 507773 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 11:34:12 EDT
Created attachment 507774 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 11:34:14 EDT
Created attachment 507775 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 11:34:15 EDT
Created attachment 507776 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 11:34:17 EDT
Created attachment 507777 [details]
mock.log


mock.log for x86_64
Comment 7 Henrik Nordström 2011-10-09 15:39:07 EDT
camE is FTBFS in F15 as well.

webcam.c:32:28: fatal error: linux/videodev.h: No such file or directory

Until this is fixed the package can not be included in armv7hl and possibly
other secondary arches as well.
Comment 8 Henrik Nordström 2011-10-09 15:49:49 EDT
https://fedoraproject.org/wiki/Architectures/ARM/Fedora15_HardFP_Bootstrap_package_status#linux.2Fvideodev.h

hno: Hmm.. have quite many packages FTBFS with "fatal error: linux/videodev.h: No such file or directory". 
kwizart: hno, they need to be converted to fully support v4l2
kwizart: but the workaround is to make them built with /usr/include/libv4l1-videodev.h from libv4l-devel and make them link with -lv4l1
Comment 9 Fedora Update System 2012-03-09 15:48:57 EST
camE-1.9-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/camE-1.9-18.fc17
Comment 10 Fedora Update System 2012-03-09 20:22:57 EST
Package camE-1.9-18.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing camE-1.9-18.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3506/camE-1.9-18.fc17
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2012-03-16 17:22:22 EDT
camE-1.9-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.